<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>BKD REPORT</title>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                                        <span class="h2 font-weight-bold mb-0">BKD </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-user-astronaut"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <h3 class="mb-0">Data List</h3>
                    </div>

                    <div class="card-body">
                        <form method="get">
                            <div class="row">
                                <div class="col-md-12 text-center">
                                    <div class="form-group">
                                        <label>Tahun Akademik</label>
                                        <select name="tahunAkademik" id="" class="form-control">
                                            <option value=""></option>
                                            <option th:each="data : ${tahunAkademik}"
                                                    th:selected="(${data} == *{selectedTahun})"
                                                    th:text="${data.namaTahunAkademik}"
                                                    th:value="${data.id}">sdasd</option>
                                        </select>
                                    </div>
                                    <div class="form-group">
                                        <button type="submit" class="btn btn-info"><i class="fa fa-search"></i> Search</button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>

                    <div class="table-responsive" th:if="${selectedTahun != null}">
                        <table class="table align-items-center table-flush">
                            <thead class="thead-light">
                            <tr>
                                <th scope="col">#</th>
                                <th scope="col">Code</th>
                                <th scope="col">Name Lecture</th>
                                <th scope="col">Class</th>
                                <th scope="col">Day</th>
                                <th scope="col">Time</th>
                                <th></th>
                                <th></th>
                                <th></th>

                            </tr>
                            </thead>
                            <tbody>
                            <tr th:each="data,row : ${jadwal}">
                                <td th:text="${(row.index + 1)}">1</td>
                                <td th:text="${data.course}">Basic Econometrics	</td>
                                <td th:text="${data.namaDosen}">Aam Slamet Rusydiana	</td>
                                <td th:text="${data.namaKelas}">MBS-D-18	</td>
                                <td th:text="${data.hari}">Wednesday</td>
                                <td>
                                    <span  th:text="${data.jamMulai}"></span> -
                                    <span th:text="${data.jamSelesai}"></span>
                                </td>
                                <td>
                                    <button class="btn btn-primary btn-sm " type="button">
                                        <a class="text-white" th:href="@{/studiesActivity/assesment/report(jadwal = ${data.id})}"><i class="fa fa-download"></i> Download</a>
                                    </button>
                                </td>
                            </tr>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>
